%global version_major 9
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}
%global uname gz-fuel_tools
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-fuel-tools
Version:        9.0.2
Release:        2%{?dist}
Summary:        Classes and tools for interacting with Gazebo Fuel

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-9.0.2-installpaths.patch

BuildRequires:  cmake
BuildRequires:  libcurl-devel
BuildRequires:  gcc-c++
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-msgs-devel >= 10
BuildRequires:  gz-tools-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  jsoncpp-devel
BuildRequires:  libyaml-devel
BuildRequires:  libzip-devel
BuildRequires:  make
BuildRequires:  ruby-devel
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Fuel Tools is composed by a client library and command line tools for
interacting with Gazebo Fuel servers.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR=%{ruby_path} \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest --exclude-regex "UNIT_FuelClient_TEST" || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{uname}%{version_major}*
%{_libdir}/pkgconfig/%{uname}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 9.0.2-2
- Fix ruby tool path

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 9.0.2-1
- Initial package
